Bug 124330 - RuntimeError: /usr/sbin/mdadm can not be run
RuntimeError: /usr/sbin/mdadm can not be run
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 13:54 EDT by Mike McLean
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 15:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2004-05-25 13:54:55 EDT
* rawhide 20040520  through 20040525

  File "/usr/bin/anaconda", line 1131, in ?
    intf.run(id, dispatch, configFileData)
  File
"/usr/src/build/397698-x86_64/install//usr/lib/anaconda/text.py", line
486, in run
  File
"/usr/src/build/397698-x86_64/install//usr/lib/anaconda/dispatch.py",
line 169, in gotoNext
  File
"/usr/src/build/397698-x86_64/install//usr/lib/anaconda/dispatch.py",
line 237, in moveStep
  File
"/usr/src/build/397698-x86_64/install//usr/lib/anaconda/packages.py",
line 541, in turnOnFilesystems
  File
"/usr/src/build/397698-x86_64/install//usr/lib/anaconda/fsset.py",
line 1379, in makeFilesystems
  File
"/usr/src/build/397698-x86_64/install//usr/lib/anaconda/fsset.py",
line 1307, in formatEntry
  File
"/usr/src/build/397698-x86_64/install//usr/lib/anaconda/fsset.py",
line 615, in formatDevice
  File
"/usr/src/build/397698-x86_64/install//usr/lib/anaconda/fsset.py",
line 527, in formatDevice
  File
"/usr/src/build/397698-x86_64/install//usr/lib/anaconda/fsset.py",
line 1860, in setupDevice
  File
"/usr/src/build/397698-x86_64/install//usr/lib/anaconda/iutil.py",
line 53, in execWithRedirect
RuntimeError: /usr/sbin/mdadm can not be run
Comment 2 Mike McLean 2004-05-25 14:01:03 EDT
So far, the traceback has only been observed with the 'raid 1 on root'
case.  The raid0 on /usr and raid5 on /usr cases have not failed.
Comment 3 Mike McLean 2004-05-25 18:25:33 EDT
ignore the preceding comment.  This bug appears to repeat for ftp/http
TUI mode raid installs.
Comment 4 Jeremy Katz 2004-05-26 00:08:25 EDT
mdadm wasn't in the main packages section and so not in both images. 
Added there in CVS
Comment 5 Mike McLean 2004-06-10 15:27:40 EDT
confirmed

Note You need to log in before you can comment on or make changes to this bug.